Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jbi.management
Interface MBeanNames

public interface MBeanNames

This interface provides methods to create JMX object names for component- supplied MBeans. This ensures that component-supplied MBeans follow the JBI implementation-determined naming convention.

Components obtain instances of this name creator using `ComponentContext.getMBeanNames()`.

Author:
  JSR 208 Expert Group

Field Summary
`static java.lang.String` | `BOOTSTRAP_EXTENSION` The custom name that must be used for bootstrap extensions
`static java.lang.String` | `COMPONENT_LIFE_CYCLE_EXTENSION` The custom name that must be used for component life cycle extensions

Method Summary
`javax.management.ObjectName` | `createCustomComponentMBeanName(java.lang.String customName)` Formulate and return an MBean ObjectName for a custom control of this name creator's JBI component.
`java.lang.String` | `getJmxDomainName()` Retrieve the default JMX Domain Name for MBeans registered in this instance of the JBI implementation.

Field Detail

### BOOTSTRAP_EXTENSION

    public static final java.lang.String BOOTSTRAP_EXTENSION

  The custom name that must be used for bootstrap extensions

  See Also:
    Constant Field Values

### COMPONENT_LIFE_CYCLE_EXTENSION

    public static final java.lang.String COMPONENT_LIFE_CYCLE_EXTENSION

  The custom name that must be used for component life cycle extensions

  See Also:
    Constant Field Values

Method Detail

### getJmxDomainName

    public java.lang.String getJmxDomainName()

  Retrieve the default JMX Domain Name for MBeans registered in this instance of the JBI implementation.

  Returns:
    the JMX domain name for this instance of the JBI implemention; must be non-null and non-empty

### createCustomComponentMBeanName

    public javax.management.ObjectName createCustomComponentMBeanName(java.lang.String customName)

  Formulate and return an MBean ObjectName for a custom control of this name creator's JBI component.

  This is used by components to create JMX names for their own JMX controls, allowing the JBI implementation to prefix the created name to fit within the implementation's own naming scheme.

  Standard extensions must use the following custom name constants:

  - Bootstrap (installer) extension: `BOOTSTRAP_EXTENSION`.
  - Component life cycle extension: `COMPONENT_LIFE_CYCLE_EXTENSION`.
  All other custom component MBeans must use custom names that do not collide with the standard extension names.

  Parameters:
    `customName` - the name of the custom control; must be non-null and non-empty; must be legal for use in a JMX object name
  Returns:
    the JMX ObjectName of the MBean, or `null` if the `customName` is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Built 06/07/2005 11:16 AM on acer (SunOS 5.9)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2005 Sun Microsystems Inc., All Rights Reserved.